using System;

class Program
{
    static void Main(string[] args)
    {
        string[] prviRed = Console.ReadLine().Split();
        int N = int.Parse(prviRed[0]);
        int L = int.Parse(prviRed[1]);

      
        string[] drugiRed = Console.ReadLine().Split();
        int[] visineStalaktita = new int[N];

        for (int i = 0; i < N; i++)
        {
            visineStalaktita[i] = int.Parse(drugiRed[i]);
        }

        for (int i = 0; i < N; i++)
        {
            if (visineStalaktita[i] <= L)
            {
       
                Console.WriteLine(i + 1);
                return;
            }
        }

        Console.WriteLine(-1);
        Console.ReadKey();
    }
}